Summary: The Input Method System Switcher
Name: system-switch-im
Version: 0.1.2
Release: 3
Source0: %{name}-%{version}.tar.bz2
Source1: im-switch
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root

BuildArch: noarch

#Requires: newt
Requires: /usr/sbin/alternatives
Requires: python >= 2.3

# GUI
Requires: libglade2
Requires: pygtk2-libglade
Requires: pygtk2

Conflicts: xinitrc < 4.0.1-1

BuildPreReq: python >= 2.3
BuildPreReq: gettext
BuildPreReq: automake
BuildPreReq: intltool

%description
The system-switch-im is the Input Method Switcher.
It enables users to easily switch between various input methods that they have installed.

#%package gnome
#Summary: A GUI interface for Input Method System Switcher.
#Group: Applications/System
#Requires: %{name} = %{version}-%{release}
#Requires: python >= 2.3
#Requires: /usr/sbin/alternatives

#%description gnome
#The system-switch-im-gnome package contains a GNOME interface for the
#Input Method Switcher.

%prep
%setup -q 

%build
make

%install
rm -rf %{buildroot}

%makeinstall
install %SOURCE1 $RPM_BUILD_ROOT%{_bindir}/

rm -rf $RPM_BUILD_ROOT/usr/bin/system-switch-im-nox
rm -rf $RPM_BUILD_ROOT/usr/sbin/system-switch-im-nox
rm -rf $RPM_BUILD_ROOT/etc/pam.d/system-switch-im-nox
rm -rf $RPM_BUILD_ROOT/etc/security/console.apps/system-switch-im-nox
rm -rf $RPM_BUILD_ROOT/usr/share/system-switch-im/imswitch_tui.py
rm -rf $RPM_BUILD_ROOT/usr/share/system-switch-im/imswitch_tui.pyc
               

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/functions.py*
%{_datadir}/%{name}/locale-list
%config(noreplace) /etc/pam.d/*
#%{_datadir}/%{name}/imswitch_tui.py*
#%config(noreplace) /etc/security/console.apps/%{name}-nox

#%files gnome
#%defattr(-,root,root)
%config(noreplace) /etc/security/console.apps/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/imswitch_gui.py*
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/imswitch.glade

%changelog
* Mon Oct 11 2004 Leon Ho <llch@redhat.com> 0.1.2-3
- rebuilt for translation

* Thu Sep 16 2004 Leon Ho <llch@redhat.com> 0.1.2-2
- fixed Makefile for locale-list

* Thu Sep 9 2004 Leon Ho <llch@redhat.com> 0.1.2-1
- used locale-list to display more user friendly language names
- fixed on the category for .desktop
- only display languages who has more than one IM

* Mon Aug 24 2004 Leon Ho <llch@redhat.com> 0.1.1-3
- added "Languages" into translatable string

* Mon Aug 23 2004 Leon Ho <llch@redhat.com> 0.1.1-2
- included im-switch cli tool
- fixed on unable to get kinput2 alternatives files bug
- added notification for restarting X
- dropped XIM ratio and retrim UI
- redid po files for translators and built existing translation
- checked if able to avoid confirm dialog if no change


* Wed Jul 21 2004 Leon Ho <llch@redhat.com> 0.1.1-1
- 0.1.1 release
